Loading...
Searching...
No Matches
BALL::ClearShiftProcessor Class Reference
Molecular Modeling » Nuclear Magnetic Resonance Spectroscopy » Shift modules

`#include <BALL/NMR/clearShiftProcessor.h>`

Inheritance diagram for BALL::ClearShiftProcessor:

## Public Member Functions

Constructors and Destructors
| ClearShiftProcessor ()
| ClearShiftProcessor (const ClearShiftProcessor &processor)
virtual | ~ClearShiftProcessor ()
Processor specific functions.
virtual Processor::Result | operator() (Composite &composite)
Public Member Functions inherited from BALL::ShiftModule
| ShiftModule ()
| ShiftModule (Parameters &parameters, const String &name="")
| ShiftModule (const ShiftModule &module)
virtual | ~ShiftModule ()
virtual void | clear ()
const ShiftModule & | operator= (const ShiftModule &module)
void | setName (const String &name)
const String & | getName () const
void | setParameters (Parameters &parameters)
const Parameters * | getParameters () const
virtual void | init ()
virtual bool | start ()
virtual bool | finish ()
bool | isValid () const
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Static Public Attributes inherited from BALL::ShiftModule
static const char * | PROPERTY__SHIFT
static const char * | PROPERTY__EXPERIMENTAL__SHIFT
String | module_name_
Parameters * | parameters_
bool | valid_

## Detailed Description

Clear assigned shift data of all atoms. This processors clears the named property defined by ShiftModule::PROPERTY__SHIFT in the atoms of all data structures it is applied to.

Definition at line 21 of file clearShiftProcessor.h.

## Constructor & Destructor Documentation

## ClearShiftProcessor() [1/2]

BALL::ClearShiftProcessor::ClearShiftProcessor | ( |  | ) |

Default constructor.

## ClearShiftProcessor() [2/2]

BALL::ClearShiftProcessor::ClearShiftProcessor | ( | const ClearShiftProcessor & | processor | ) |

Copy constructor.

## ~ClearShiftProcessor()

virtual BALL::ClearShiftProcessor::~ClearShiftProcessor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## operator()()

virtual Processor::Result BALL::ClearShiftProcessor::operator() | ( | Composite & | composite | ) |

virtual

Application method

Reimplemented from BALL::UnaryProcessor< Composite >.